oracle.jdbc.babelfish

## Class BabelfishPreparedStatement

- java.lang.Object
- - oracle.jdbc.babelfish.BabelfishGenericProxy
  - - oracle.jdbc.babelfish.BabelfishStatement
    - - oracle.jdbc.babelfish.BabelfishPreparedStatement

Direct Known Subclasses:
  BabelfishCallableStatement

    public abstract class BabelfishPreparedStatement
    extends BabelfishStatement

Proxy Superclass for java.sql.PreparedStatement interface. It is used by the Oracle JDBC proxy library to proxify java.sql.PreparedStatement objects to support the auto translation features.

### Constructor Summary

Constructors
Constructor and Description
`BabelfishPreparedStatement()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract Object` `getCreator()`
`protected abstract Object` `getDelegate()`
`protected Object` `post_Methods(Method m, Object result)` Post Methods interceptor.
`protected abstract Object` `proxify(Object d, Object creator)`
`void` `setArray(int parameterIndex, Array x)` Translation compliant implementation of java.sql.PreparedStatement#setArray(int, java.sql.Array)
`void` `setAsciiStream(int parameterIndex, InputStream x)` Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream)
`void` `setAsciiStream(int parameterIndex, InputStream x, int length)` Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, int)
`void` `setAsciiStream(int parameterIndex, InputStream x, long length)` Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, long)
`void` `setBigDecimal(int parameterIndex, BigDecimal x)` Translation compliant implementation of java.sql.PreparedStatement#setBigDecimal(int, java.math.BigDecimal)
`void` `setBinaryStream(int parameterIndex, InputStream x)` Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream)
`void` `setBinaryStream(int parameterIndex, InputStream x, int length)` Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, int)
`void` `setBinaryStream(int parameterIndex, InputStream x, long length)` Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, long)
`void` `setBlob(int parameterIndex, Blob x)` Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.sql.Blob)
`void` `setBlob(int parameterIndex, InputStream x)` Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream)
`void` `setBlob(int parameterIndex, InputStream x, long length)` Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream, long)
`void` `setBoolean(int parameterIndex, boolean x)` Translation compliant implementation of java.sql.PreparedStatement#setBoolean(int, boolean)
`void` `setByte(int parameterIndex, byte x)` Translation compliant implementation of java.sql.PreparedStatement#setByte(int, byte)
`void` `setBytes(int parameterIndex, byte[] x)` Translation compliant implementation of java.sql.PreparedStatement#setBytes(int, byte[])
`void` `setCharacterStream(int parameterIndex, Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader)
`void` `setCharacterStream(int parameterIndex, Reader reader, int length)` Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, int)
`void` `setCharacterStream(int parameterIndex, Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, long)
`void` `setClob(int parameterIndex, Clob x)` Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.sql.Clob)
`void` `setClob(int parameterIndex, Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader)
`void` `setClob(int parameterIndex, Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader, long)
`void` `setDate(int parameterIndex, Date x)` Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date)
`void` `setDate(int parameterIndex, Date x, Calendar cal)` Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date, java.util.Calendar)
`void` `setDouble(int parameterIndex, double x)` Translation compliant implementation of java.sql.PreparedStatement#setDouble(int, double)
`void` `setFloat(int parameterIndex, float x)` Translation compliant implementation of java.sql.PreparedStatement#setFloat(int, float)
`void` `setInt(int parameterIndex, int x)` Translation compliant implementation of java.sql.PreparedStatement#setInt(int, int)
`void` `setLong(int parameterIndex, long x)` Translation compliant implementation of java.sql.PreparedStatement#setLong(int, long)
`void` `setNCharacterStream(int parameterIndex, Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader)
`void` `setNCharacterStream(int parameterIndex, Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader, long)
`void` `setNClob(int parameterIndex, NClob x)` Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.sql.NClob)
`void` `setNClob(int parameterIndex, Reader reader)` Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader)
`void` `setNClob(int parameterIndex, Reader reader, long length)` Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader, long)
`void` `setNString(int parameterIndex, String x)` Translation compliant implementation of java.sql.PreparedStatement#setNString(int, java.lang.String)
`void` `setNull(int parameterIndex, int sqltype)` Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int)
`void` `setNull(int parameterIndex, int sqltype, String typeName)` Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int, java.lang.String)
`void` `setObject(int parameterIndex, Object x)` Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object)
`void` `setObject(int parameterIndex, Object x, int targetSqlType)` Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int)
`void` `setObject(int parameterIndex, Object x, int targetSqlType, int scaleOrLength)` Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int, int)
`void` `setRef(int parameterIndex, Ref x)` Translation compliant implementation of java.sql.PreparedStatement#setRef(int, java.sql.Ref)
`void` `setRowId(int parameterIndex, RowId x)` Translation compliant implementation of java.sql.PreparedStatement#setRowId(int, java.sql.RowId)
`void` `setShort(int parameterIndex, short x)` Translation compliant implementation of java.sql.PreparedStatement#setShort(int, short)
`void` `setSQLXML(int parameterIndex, SQLXML x)` Translation compliant implementation of java.sql.PreparedStatement#setSQLXML(int, java.sql.SQLXML)
`void` `setString(int parameterIndex, String x)` Translation compliant implementation of java.sql.PreparedStatement#setString(int, java.lang.String)
`void` `setTime(int parameterIndex, Time x)` Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time)
`void` `setTime(int parameterIndex, Time x, Calendar cal)` Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time, java.util.Calendar)
`void` `setTimestamp(int parameterIndex, Timestamp x)` Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp)
`void` `setTimestamp(int parameterIndex, Timestamp x, Calendar cal)` Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp, java.util.Calendar)
`void` `setUnicodeStream(int parameterIndex, InputStream x, int length)` Translation compliant implementation of java.sql.PreparedStatement#setUnicodeStream(int, java.io.InputStream, int)
`void` `setURL(int parameterIndex, URL x)` Translation compliant implementation of java.sql.PreparedStatement#setURL(int, java.net.URL)
`protected Object` `translateError(Method m, SQLException ex)` Error interceptor.

### Methods inherited from class oracle.jdbc.babelfish.BabelfishStatement

`addBatch, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BabelfishPreparedStatement

    public BabelfishPreparedStatement()

### Method Detail

#### getCreator

    protected abstract Object getCreator()

Specified by:
  `getCreator` in class `BabelfishStatement`
Returns:

#### getDelegate

    protected abstract Object getDelegate()

Specified by:
  `getDelegate` in class `BabelfishStatement`
Returns:

#### proxify

    protected abstract Object proxify(Object d,
                                      Object creator)

Specified by:
  `proxify` in class `BabelfishStatement`

#### translateError

    protected Object translateError(Method m,
                                    SQLException ex)
                             throws SQLException

Error interceptor. Handles error translation in case of exception

Overrides:
  `translateError` in class `BabelfishStatement`
Parameters:
  `m` -
  `ex` -
Returns:
Throws:
  `SQLException`

#### post_Methods

    protected Object post_Methods(Method m,
                                  Object result)

Post Methods interceptor. Sets the translator in the returning object if the returning object is a child of BabelfishGenericProxy

Overrides:
  `post_Methods` in class `BabelfishStatement`
Parameters:
  `m` -
  `result` -
Returns:

#### setArray

    public void setArray(int parameterIndex,
                         Array x)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setArray(int, java.sql.Array)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setArray(int, java.sql.Array)`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x)
                        throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setAsciiStream(int, java.io.InputStream)`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               int length)
                        throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setAsciiStream(int, java.io.InputStream, int)`

#### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               long length)
                        throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setAsciiStream(int, java.io.InputStream, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setAsciiStream(int, java.io.InputStream, long)`

#### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              BigDecimal x)
                       throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBigDecimal(int, java.math.BigDecimal)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBigDecimal(int, java.math.BigDecimal)`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x)
                         throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBinaryStream(int, java.io.InputStream)`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                int length)
                         throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBinaryStream(int, java.io.InputStream, int)`

#### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                long length)
                         throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBinaryStream(int, java.io.InputStream, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBinaryStream(int, java.io.InputStream, long)`

#### setBlob

    public void setBlob(int parameterIndex,
                        Blob x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.sql.Blob)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBlob(int, java.sql.Blob)`

#### setBlob

    public void setBlob(int parameterIndex,
                        InputStream x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBlob(int, java.io.InputStream)`

#### setBlob

    public void setBlob(int parameterIndex,
                        InputStream x,
                        long length)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBlob(int, java.io.InputStream, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBlob(int, java.io.InputStream, long)`

#### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBoolean(int, boolean)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBoolean(int, boolean)`

#### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setByte(int, byte)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setByte(int, byte)`

#### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setBytes(int, byte[])

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setBytes(int, byte[])`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader)
                            throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setCharacterStream(int, java.io.Reader)`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   int length)
                            throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setCharacterStream(int, java.io.Reader, int)`

#### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   long length)
                            throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setCharacterStream(int, java.io.Reader, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setCharacterStream(int, java.io.Reader, long)`

#### setClob

    public void setClob(int parameterIndex,
                        Clob x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.sql.Clob)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setClob(int, java.sql.Clob)`

#### setClob

    public void setClob(int parameterIndex,
                        Reader reader)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setClob(int, java.io.Reader)`

#### setClob

    public void setClob(int parameterIndex,
                        Reader reader,
                        long length)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setClob(int, java.io.Reader, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setClob(int, java.io.Reader, long)`

#### setDate

    public void setDate(int parameterIndex,
                        Date x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setDate(int, java.sql.Date)`

#### setDate

    public void setDate(int parameterIndex,
                        Date x,
                        Calendar cal)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setDate(int, java.sql.Date, java.util.Calendar)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setDate(int, java.sql.Date, java.util.Calendar)`

#### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setDouble(int, double)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setDouble(int, double)`

#### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setFloat(int, float)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setFloat(int, float)`

#### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setInt(int, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setInt(int, int)`

#### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setLong(int, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setLong(int, long)`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader reader)
                             throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNCharacterStream(int, java.io.Reader)`

#### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader reader,
                                    long length)
                             throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNCharacterStream(int, java.io.Reader, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNCharacterStream(int, java.io.Reader, long)`

#### setNClob

    public void setNClob(int parameterIndex,
                         NClob x)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.sql.NClob)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNClob(int, java.sql.NClob)`

#### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNClob(int, java.io.Reader)`

#### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader,
                         long length)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNClob(int, java.io.Reader, long)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNClob(int, java.io.Reader, long)`

#### setNString

    public void setNString(int parameterIndex,
                           String x)
                    throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNString(int, java.lang.String)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNString(int, java.lang.String)`

#### setNull

    public void setNull(int parameterIndex,
                        int sqltype)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNull(int, int)`

#### setNull

    public void setNull(int parameterIndex,
                        int sqltype,
                        String typeName)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setNull(int, int, java.lang.String)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setNull(int, int, java.lang.String)`

#### setObject

    public void setObject(int parameterIndex,
                          Object x)
                   throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setObject(int, java.lang.Object)`

#### setObject

    public void setObject(int parameterIndex,
                          Object x,
                          int targetSqlType)
                   throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setObject(int, java.lang.Object, int)`

#### setObject

    public void setObject(int parameterIndex,
                          Object x,
                          int targetSqlType,
                          int scaleOrLength)
                   throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setObject(int, java.lang.Object, int, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setObject(int, java.lang.Object, int, int)`

#### setRef

    public void setRef(int parameterIndex,
                       Ref x)
                throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setRef(int, java.sql.Ref)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setRef(int, java.sql.Ref)`

#### setRowId

    public void setRowId(int parameterIndex,
                         RowId x)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setRowId(int, java.sql.RowId)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setRowId(int, java.sql.RowId)`

#### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setShort(int, short)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setShort(int, short)`

#### setSQLXML

    public void setSQLXML(int parameterIndex,
                          SQLXML x)
                   throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setSQLXML(int, java.sql.SQLXML)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setSQLXML(int, java.sql.SQLXML)`

#### setString

    public void setString(int parameterIndex,
                          String x)
                   throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setString(int, java.lang.String)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setString(int, java.lang.String)`

#### setTime

    public void setTime(int parameterIndex,
                        Time x)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setTime(int, java.sql.Time)`

#### setTime

    public void setTime(int parameterIndex,
                        Time x,
                        Calendar cal)
                 throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTime(int, java.sql.Time, java.util.Calendar)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setTime(int, java.sql.Time, java.util.Calendar)`

#### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp x)
                      throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setTimestamp(int, java.sql.Timestamp)`

#### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp x,
                             Calendar cal)
                      throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setTimestamp(int, java.sql.Timestamp, java.util.Calendar)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setTimestamp(int, java.sql.Timestamp, java.util.Calendar)`

#### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 InputStream x,
                                 int length)
                          throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setUnicodeStream(int, java.io.InputStream, int)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setUnicodeStream(int, java.io.InputStream, int)`

#### setURL

    public void setURL(int parameterIndex,
                       URL x)
                throws SQLException

Translation compliant implementation of java.sql.PreparedStatement#setURL(int, java.net.URL)

Throws:
  `SQLException`
See Also:
  `PreparedStatement.setURL(int, java.net.URL)`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.